      subroutine SKAN(STRING,START,STOPIT,TYPE,DELIM,NDELIM)
      integer NDELIM, START, STOPIT, TYPE
      character STRING*80, DELIM(NDELIM)*1
      if (START.gt.80) go to 120
      if (START.lt.1) START = 1
      do 110 STOPIT = START, 80
         do 100 TYPE = 1, NDELIM
            if (STRING(STOPIT:STOPIT).eq.DELIM(TYPE)) go to 130
100      continue
110   continue
120   continue
      TYPE = 100
130   continue
      return
      end
